$(document).on('change', '.check_vedio_or_image', function () {

    if ($(this).val() == 'video') {
        $('#file_video_or_youtube').show();
        $('#file_image').hide();
    } else {
        $('#file_video_or_youtube').hide();
        $('#file_image').show();
        $('#device').hide();
        $('#youtube').hide();
    }

});

$(document).on('change', '.type_video', function () {

    if ($(this).val() == 'youtube') {
        $('#device').hide();
        $('#youtube').show();
    } else {
        $('#youtube').hide();
        $('#device').show();
    }

});